<template>
  <div id="logout">
    <!-- Title -->
    <b-card-title>
      {{ $t("page.logout.title") }}
    </b-card-title>

    <!-- Logout Message & Login Button -->
    <div class="v_gapped_container">
      <!-- Logout Success -->
      <b-card-body v-if="isLoggedOut" class="h6 text-primary text-center">
        {{ $t("page.logout.success") }}
      </b-card-body>

      <!-- Login Button -->
      <b-button variant="primary" @click="logBackIn">
        {{ $t("page.logout.log_in") }}
      </b-button>
    </div>
  </div>
</template>

<script lang="ts">
// import the store for current module
import useLoginStore from "../store";

export default defineComponent({
  emits: {},

  setup() {
    const loginStore = useLoginStore();

    return { loginStore };
  },

  computed: {
    isLoggedOut(): boolean | null {
      const query = this.$route.query["logout"];
      if (query) {
        return Boolean(JSON.parse(query as string));
      }
      return null;
    },
  },

  methods: {
    logBackIn() {
      this.$router.push({ name: "login" });
    },
  },
});
</script>
